## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual
Class CreationInfoRegistry

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.CreationInfoRegistry

    public class CreationInfoRegistry

extends java.lang.Object

Field Summary
`static CreationInfoRegistry` `INSTANCE`

Constructor Summary
`CreationInfoRegistry()`

Method Summary
`ICreationInfoProvider` `getProvider(DatabaseDefinition definition)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static CreationInfoRegistry INSTANCE

Constructor Detail

### CreationInfoRegistry

    public CreationInfoRegistry()

Method Detail

### getProvider

    public ICreationInfoProvider getProvider(DatabaseDefinition definition)